compact1, compact2, compact3
java.net

## Interface URLStreamHandlerFactory

    public interface URLStreamHandlerFactory

This interface defines a factory for `URL` stream protocol handlers.

It is used by the `URL` class to create a `URLStreamHandler` for a specific protocol.

Since:
  JDK1.0
See Also:
  `URL`, `URLStreamHandler`

### Method Summary

All Methods Instance Methods Abstract Methods
`URLStreamHandler` `createURLStreamHandler(String protocol)` Creates a new `URLStreamHandler` instance with the specified protocol.

### Method Detail

#### createURLStreamHandler

    URLStreamHandler createURLStreamHandler(String protocol)

Creates a new `URLStreamHandler` instance with the specified protocol.

Parameters:
  `protocol` - the protocol ("`ftp`", "`http`", "`nntp`", etc.).
Returns:
  a `URLStreamHandler` for the specific protocol.
See Also:
  `URLStreamHandler`